//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;


namespace MindFusion.Scheduling.WinForms.Samples.CS.Demo
{
	/// <summary>
	/// Summary description for ContactDialog.
	/// </summary>
	public partial class ContactDialog : System.Windows.Forms.Form
	{
		/// <summary>
		/// Initializes a new instance of the ContactDialog class.
		/// </summary>
		public ContactDialog()
		{
			InitializeComponent();
		}


		/// <summary>
		/// Gets or sets the contact's first name.
		/// </summary>
		public string FirstName
		{
			get { return _tbFirstName.Text; }
			set { _tbFirstName.Text = value; }
		}

		/// <summary>
		/// Gets or sets the contact's last name.
		/// </summary>
		public string LastName
		{
			get { return _tbLastName.Text; }
			set { _tbLastName.Text = value; }
		}

		/// <summary>
		/// Gets or sets the contact's address.
		/// </summary>
		public string Address
		{
			get { return _tbAddress.Text; }
			set { _tbAddress.Text = value; }
		}

		/// <summary>
		/// Gets or sets the contact's e-mail.
		/// </summary>
		public string Email
		{
			get { return _tbEmail.Text; }
			set { _tbEmail.Text = value; }
		}

		/// <summary>
		/// Gets or sets the contact's phone.
		/// </summary>
		public string Phone
		{
			get { return _tbPhone.Text; }
			set { _tbPhone.Text = value; }
		}
	}
}
